import { OnInit } from '@angular/core';
import { Store } from '@ngxs/store';
import { Observable } from 'rxjs/internal/Observable';
import { SmzTableState } from '../../../../../smz-tables/models/table-state';
import { ClaimDetails } from '../../../../models/claim-details';
import { SmzDialogsService } from '../../../../../smz-dialogs/services/smz-dialogs.service';
import * as i0 from "@angular/core";
export declare class ClaimsPageComponent implements OnInit {
    private store;
    private dialogs;
    claims$: Observable<ClaimDetails[]>;
    tableState: SmzTableState;
    constructor(store: Store, dialogs: SmzDialogsService);
    ngOnInit(): void;
    buildTableState(): SmzTableState;
    showDeleteConfirmation(claim: ClaimDetails): void;
    showCreationDialog(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ClaimsPageComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ClaimsPageComponent, "app-claims-page", never, {}, {}, never, never, false, never>;
}
